org.eclipse.graphiti.ui.services

## Interface IEmfService

All Known Subinterfaces:
  IEmfService

All Known Implementing Classes:
  EmfService

    public interface IEmfService

Services regarding EMF.

Since:
  0.9

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.transaction.TransactionalEditingDomain` `createResourceSetAndEditingDomain()` Creates a `TransactionalEditingDomain` with a `ResourceSet` resource set and a `IWorkspaceCommandStack` command stack.

### Method Detail

#### createResourceSetAndEditingDomain

    org.eclipse.emf.transaction.TransactionalEditingDomain createResourceSetAndEditingDomain()

Creates a `TransactionalEditingDomain` with a `ResourceSet` resource set and a `IWorkspaceCommandStack` command stack.

Returns:
  a `TransactionalEditingDomain` editing domain